Como faço para começar com J2ME?

votos
3

Eu sou novo para J2ME. Por favor me diga como posso instalá-lo e onde. O que mais eu tenho que baixar para instalar J2ME com JDK.

Publicado 16/03/2009 em 12:29
fonte usuário
Em outras línguas...                            


6 respostas

votos
3

Se você é um novato, eu recomendo começar com o NetBeans IDE. Baixar a versão que inclui o Mobility Pack. Existem muitos tutoriais disponíveis para o desenvolvimento de aplicações móveis com Netbeans.

Você também pode precisar o WTK (não me lembro se ele vem com Netbeans),

Respondeu 16/03/2009 em 12:53
fonte usuário

votos
2

Ferramentas

A ferramenta de base para o desenvolvimento J2ME é Wtk (kit de ferramentas sem fio) a partir dom que contém o emulador e outras bibliotecas necessárias para o desenvolvimento. Wtk também contém utilidades para a assinatura, preverifying, monitorando tools.The IDEs como rede Netbeans e Eclipse estão a ter encaixes para o desenvolvimento J2ME. Esses plugins irá integrar o WTK e bibliotecas. Para netbeans todos são empacotados em um pacote, tão fácil de instalar e configurar. Para Eclipse você tem que instalar o MTJ (ferramentas móveis para java) plugin.

Você pode verificar ambos os IDEs e selecionar o que seu mais confortável.

Respondeu 17/03/2009 em 20:32
fonte usuário

votos
2

Não é fácil para começar com o desenvolvimento J2ME (como com MIDP) se você não tiver feito qualquer tipo de programação Java antes. Você pode querer começar com este NetBeans quickstart .

Há também um monte de emuladores, exigindo alguma configuração de fazer em seu IDE (por exemplo, NetBeans ou Eclipse). Isto é porque os fabricantes de telefones celulares diferentes têm suas próprias SDK implementação do no J2ME (por exemplo SonyEricsson ).

Respondeu 16/03/2009 em 12:51
fonte usuário

votos
1

Não existe tal coisa como um pacote completo. Você precisa de uma configuração básica e pacotes de dispositivo do provedor opcionais (principalmente emuladores).

Configuração básica:

pacotes de opcionais:

Respondeu 17/11/2010 em 17:09
fonte usuário

votos
0

Você precisa do kit de ferramentas wireless dom Você precisa disto para as bibliotecas, e também para os arquivos de classe 'preverify', caso contrário não será carregado em uma máquina virtual móvel.

http://www.jguru.com/faq/view.jsp?EID=201507

Respondeu 17/03/2009 em 10:56
fonte usuário

votos
-1

Você pode baixar J2ME da Sun Microsystems website

Respondeu 16/03/2009 em 12:34
fonte usuário

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more